/**************************************************************************************************/


/*
 * File: go.h
 * Author: Roman Lysecky
 * Date: 15 August 2011
 *
 * Description: Header file template for go board operations for ECE 275 Assignment 1.
 *
 */

/**************************************************************************************************/


#include "global.h"

/**************************************************************************************************/


#ifndef GO_H
#define GO_H

/**************************************************************************************************/

enum { GO_BOARD_SIZE = 9 };

/**************************************************************************************************/

bool read_go_board(char *, char [GO_BOARD_SIZE][GO_BOARD_SIZE]);

void display_go_board(char [GO_BOARD_SIZE][GO_BOARD_SIZE]);

int determine_eyes_black(char [GO_BOARD_SIZE][GO_BOARD_SIZE]);

int determine_twoeyes_black(char [GO_BOARD_SIZE][GO_BOARD_SIZE]);

int determine_eyesspaces_black(char [GO_BOARD_SIZE][GO_BOARD_SIZE]);

/**************************************************************************************************/

#endif

/**************************************************************************************************/

